# Verify Domain

Verify the domains DNS records (includes A, CNAME, SPF, DKIM and MX records) to ensure the domain is ready and able to send

Endpoint: PUT /v4/domains/{name}/verify
Version: 3.0.0
Security: basicAuth

## Path parameters:

  - `name` (string, required)
    The name of the domain you want to verify

## Response 200 fields (application/json):

  - `message` (string, required)
    Response message

  - `domain` (any, required)
    Domain record information

  - `domain.archive_to` (string)
    URL that a copy of each successfully delivered message is going to be posted to.

  - `domain.created_at` (string, required)
    Timestamp indicating when the domain was created in RFC1123 format

  - `domain.id` (string, required)
    Unique identifier of the domain

  - `domain.is_disabled` (boolean, required)
    Indicates whether the domain is currently disabled

  - `domain.name` (string, required)
    Fully qualified domain name registered with Mailgun

  - `domain.require_tls` (boolean, required)
    If true Mailgun will only send messages over a TLS connection

  - `domain.skip_verification` (boolean, required)
    If true Mailgun will not verify the certificate and hostname when setting up a TLS connection

  - `domain.smtp_login` (string, required)
    SMTP login username for the domain, only present if the user provides an smtp_password. Use the Credentials API for SMTP credentials management

  - `domain.smtp_password` (string)
    Optional SMTP password for the domain used for SMTP authentication

  - `domain.spam_action` (string, required)
    Action to take when a message is flagged as spam. Options are disabled, tag, or block

  - `domain.subaccount_id` (string)
    The subaccount ID the domain belongs to. This field is only present if the domain is associated with a subaccount

  - `domain.state` (string, required)
    Current verification status of the domain

  - `domain.type` (string, required)
    Classification of the domain. Possible values are custom or sandbox

  - `domain.tracking_host` (string)
    Custom tracking host for the domain used for tracking opens and clicks if configured

  - `domain.use_automatic_sender_security` (boolean, required)
    If true Mailgun manages DKIM key generation and DNS record configuration automatically

  - `domain.webhooks_redact_pii` (boolean)
    If true Personally Identifiable Information (PII) will be redacted from the payload of any webhook posted for this domain

  - `domain.web_prefix` (string, required)
    Subdomain prefix used for open and click tracking

  - `domain.web_scheme` (string, required)
    Protocol scheme used for tracking

  - `domain.wildcard` (boolean, required)
    Indicates if the domain is a wildcard domain and can receive emails for any subdomain

  - `domain.disabled` (any)
    Optional field containing additional details about the domain's disabled status if applicable

  - `domain.disabled.code` (string, required)
    Code indicating the reason for the domain being disabled

  - `domain.disabled.note` (string, required)
    Additional information about why the domain was disabled

  - `domain.disabled.permanently` (boolean, required)
    Indicates whether the domain is permanently disabled

  - `domain.disabled.reason` (string, required)
    Additional information about why the domain was disabled

  - `domain.disabled.until` (string)
    Timestamp in RFC1123 format indicating when the domain will be re-enabled if the disablement is temporary

  - `domain.encrypt_incoming_message` (boolean, required)
    If true incoming messages to this domain will be encrypted

  - `domain.message_ttl` (integer, required)
    Specifies the time-to-live (TTL) in seconds for retrieving both incoming and outgoing messages. The maximum TTL value is determined by your subscription plan

  - `sending_dns_records` (array, required)
    List of DNS records required for sending emails

  - `sending_dns_records.is_active` (boolean, required)
    Indicates whether the DNS record is currently active

  - `sending_dns_records.cached` (array, required)
    List of Mailguns cached values for the DNS record

  - `sending_dns_records.name` (string)
    Name of the DNS record if applicable

  - `sending_dns_records.priority` (string)
    Priority value for MX DNS records

  - `sending_dns_records.record_type` (string, required)
    Type of DNS record such as MX TXT or CNAME

  - `sending_dns_records.valid` (string, required)
    Indicates whether the DNS record is valid

  - `sending_dns_records.value` (string, required)
    Expected value of the DNS record

  - `receiving_dns_records` (array, required)
    List of DNS records required for receiving emails

## Response 401 fields (application/json):

  - `message` (string, required)
    Response message

## Response 404 fields (application/json):

  - `message` (string, required)
    Response message

## Response 429 fields (application/json):

  - `message` (string, required)
    Response message

